Page MenuHomePhabricator

Recent changes attributes certain uploads on Commons to 127.0.0.1
Closed, ResolvedPublic

Description

This seems to be happening again as of today:

https://commons.wikimedia.org/wiki/Special:Contributions/127.0.0.1

And been causing loads of AbuseFilter warnings all day long which is causing lots of noise in patrolling tools:

https://commons.wikimedia.org/w/index.php?title=Special:AbuseLog&wpSearchUser=127.0.0.1


Version: master
Severity: major

Details

Reference
bz67504

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz67504.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Jul 3 2014, 10:26 PM

Possibly a recent regression.

User 127.0.0.1 triggered filter ("Prevent massive uploads by brand new users") with the action "upload" on [[File:FOUNDATION PLAN AND FOOTING DETAILS OF PROSCENIUM ARCH - Whittier Theatre, 11602-11612 East Whittier Boulevard, Whittier, Los Angeles County, CA HABS CAL,19-WHIT,2-48.tif]]; actions: tag. Diff:

Tgr added a comment.Jul 3 2014, 11:04 PM

The related filter is https://commons.wikimedia.org/wiki/Special:AbuseFilter/110 (private). The files are uploaded via GWToolset. Presumably the filter uses something like user groups or editcount, and that does not work well with the way GTWoolset uploads files.

Change 144044 had a related patch set uploaded by Brian Wolff:
Modify $wgUser during the upload media file job

https://gerrit.wikimedia.org/r/144044

Change 144044 merged by jenkins-bot:
Modify $wgUser during the upload media file job

https://gerrit.wikimedia.org/r/144044

Krinkle: how disruptive is this issue to admins? Do you think the patch deserves to be swatted come monday?

(In reply to Bawolff (Brian Wolff) from comment #5)

Krinkle: how disruptive is this issue to admins? Do you think the patch
deserves to be swatted come monday?

The primary disruption is to vandalism watchers and recent changes patrollers. The abuse filter can be modified to hardcode an exception for 127.0.0.1, but there are still less intrusive mechanisms triggered by it. For example, the CVNBot reports actions by all anonymous users and these bogus actions clutter up the already very full feed of our dear already overloaded patroller teams.

I'd say the sooner the better, all these things are distracting and just add that extra bit of annoyance that can be demotivating to the user experience.

greg added a comment.Jul 7 2014, 3:34 PM

Brian: feel free to sign up for a SWAT window to get this out.

Change 144490 had a related patch set uploaded by Brian Wolff:
Modify $wgUser during the upload media file job

https://gerrit.wikimedia.org/r/144490

Change 144491 had a related patch set uploaded by Brian Wolff:
Modify $wgUser during the upload media file job

https://gerrit.wikimedia.org/r/144491

Change 144490 merged by jenkins-bot:
Modify $wgUser during the upload media file job

https://gerrit.wikimedia.org/r/144490

Change 144491 merged by jenkins-bot:
Modify $wgUser during the upload media file job

https://gerrit.wikimedia.org/r/144491

All merged; closing

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 10:11 AM
Gilles raised the priority of this task from High to Unbreak Now!.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:22 AM